登录  
 加关注
查看详情
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

baikgd的博客

技术是工具,生活是目的,更好的生活是目标!

 
 
 

日志

 
 

error while loading shared libraries: libmysqlclient.so.16: cannot open  

2010-06-08 22:16:09|  分类: 工作日志 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

I have now :
Error: Missing Dependency: libmysqlclient.so.16 is needed by package php-mysql
Error: Missing Dependency: libmysqlclient.so.16(libmysqlclient_16) is needed by package php-mysql

 

解决办法:

error while loading shared libraries: libmysqlclient.so.16: cannot open shared

yum --enablerepo remi update mysql

把mysql从5.0版本升级到5.1版本,解决!

[root@callcenter saac]# rpm -qa | grep mysql
mysql-libs-5.1.47-1.el5.remi
perl-DBD-mysql-4.014-1.el5.rf
mysqlclient15-5.0.67-1.el5.remi
mysql-5.1.47-1.el5.remi
php-mysql-5.3.2-1.el5.remi
mysql-server-5.1.47-1.el5.remi
[root@callcenter saac]# locate libmysqlclient
/usr/lib/mysql/libmysqlclient.so.15
/usr/lib/mysql/libmysqlclient.so.15.0.0
/usr/lib/mysql/libmysqlclient.so.16
/usr/lib/mysql/libmysqlclient.so.16.0.0
/usr/lib/mysql/libmysqlclient_r.so.15
/usr/lib/mysql/libmysqlclient_r.so.15.0.0
/usr/lib/mysql/libmysqlclient_r.so.16
/usr/lib/mysql/libmysqlclient_r.so.16.0.0

  评论这张
 
阅读(4053)| 评论(1)

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2018